Subject: Re: [Mpls-interop] mpls-tp document flow chart - first iteration

From: David Ward <[email-masked]>
Date: Fri, 2 Jan 2009 10:39:22 -0600

Loa, Malcolm -

Just a few details I'd like to understand ...

To change the flow chart according to Adrian's suggestion, steps 10  
and 12 should be "ITU-T SG and Question review" vs "ad hoc."

- Note that it is unclear when or why some draft would follow step 1  
(WG process) or 2 (MEAD team). Is this a WG chair choice or author  
choice?

- If a document is made a MEAD team doc can it be rejected? Or does it  
have to be rejected via the WG process?

- When do the rules of the MPLS change process kick in? Should we  
overlay them here?

- Would you like the routing directorate to also review the docs as a  
step in the process before req to pub?

-DWard

On Dec 30, 2008, at 11:20 AM, Adrian Farrel wrote:

> Loa,
>
> I suspect there should be a difference between "ITU-T ad hoc" input  
> and "ITU-T" review.
>
> In early stages of drafting, we might ask for input from the ITU-T  
> ad hoc group.
>
> But when we ask for a formal review, we are asking the ITU-T. How  
> the ITU-T decides to handle this review (for example, on the ad hoc  
> group's mailing list, on a particular Question's mail exploder, or  
> at a face-to-face meeting) is not our concern.
>
> Cheers,
> Adrian
> ----- Original Message ----- From: "Loa Andersson" <[email-masked]>
> To: "MEAD team" <[email-masked]>; "Malcolm Betts" <[email-masked] 
> >; "Russ Housley" <[email-masked]>; "Olaf M. Kolkman" <[email-masked] 
> >
> Sent: Tuesday, December 30, 2008 3:31 PM
> Subject: [Mpls-interop] mpls-tp document flow chart - first iteration
>
>
>> All,
>>
>> In geneva Malcolm and I promised to come up with a mpls-tp document
>> flow chart as a reference for SG15.
>>
>> This is how I think things should work, but as always comments are
>> welcome.
>>
>> I looks a bit complicated, but it all comes down to that we keep
>> SG15 as informed as possible.
>>
>> /Loa
>>
>> -- 
>>
>>
>> Loa Andersson                         email:  
>> [email-masked]
>> Sr Strategy and Standards Manager            [email-masked]
>> Redback Networks                      phone: +46 8 632 77 14
>> An Ericsson Company
>>
>
>
> --------------------------------------------------------------------------------
>
>
>> _______________________________________________
>> Mpls-interop mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/mpls-interop
>
> _______________________________________________
> Mpls-interop mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls-interop

_______________________________________________
Mpls-interop mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls-interop

---

From: Loa Andersson <[email-masked]>
Date: Fri, 02 Jan 2009 18:09:05 +0100

Dave,

David Ward wrote:
> To change the flow chart according to Adrian's suggestion, steps 10 and
> 12 should be "ITU-T SG and Question review" vs "ad hoc."

tend to agree - what shows here is that what we need to get the
expedited SG and Q review we should, according to JWT agreement,
notify the ad hoc team that is in charge of getting the correct
ITU-T review done.

I will changed step 10 and 12 as above in the chart and the legend pages
as follows:

(10) Every time a review is initiated by a working group the appropriate
     ITU-T SG and Q's will be notified by a mail to the MPLS-TP ad hoc
     team.
(11) When a document is deemed to mature enough a working group last
     call is initiated, at this time
(12) a request for review is sent the appropriate ITU-T SG and Q's
     will be notified by a mail to the MPLS-TP ad hoc team.
     Note that this request is different from any other notifications
     sent to the MPLS-TP ad hoc team, for this request for comments
     the MPLS-TP ad hoc team is required to organize the ITU-T SG
     and Question review in such a way that a response by correspondence
     is response within the period of working group last call.
> 
> - Note that it is unclear when or why some draft would follow step 1 (WG
> process) or 2 (MEAD team). Is this a WG chair choice or author choice?

I think that according to IETF process anyone could write a document
and send it to a working group.
> 
> - If a document is made a MEAD team doc can it be rejected? 

Of course it can be rejected, bu we need to motivate it. But there is
nothing that stops the authors from resending it to a working group. End
running wg decisions is generally not a good idea, but is allowed by
process.

> Or does it

this is an alternative, but would imply a discord between the MEAD team
and the wg, I hope that this won't happen
> - When do the rules of the MPLS change process kick in? Should we

a good question - my take is that we fulfilled the requirements
of the MPLS change process by participating in the JWT decision.
I understand that we would be in deep shit if anyone would want to
test this.

What I see happen is that we we are doing:

- requirments
- frameworks
- solutions

this is the essence of the MPLS change process

> step in the process before req to pub?

no - I'd like to have a routing directorate review as part of
the process that is triggered when the publication is
requested - but ADs need to decide on this part of the process :)
I don't want the rtg dir involved in the wg process as a mandatory
step, but want the chairs/wg have the option to ask for such a review
>> In early stages of drafting, we might ask for input from the ITU-T ad
>> hoc group.
>>
>> But when we ask for a formal review, we are asking the ITU-T. How the
>> ITU-T decides to handle this review (for example, on the ad hoc
>> group's mailing list, on a particular Question's mail exploder, or at
>> a face-to-face meeting) is not our concern.
>>
>> Cheers,
>> Adrian
>> To: "MEAD team" <[email-masked]>; "Malcolm Betts"
>> <[email-masked]>; "Russ Housley" <[email-masked]>; "Olaf M.
>> Kolkman" <[email-masked]>
>>> Loa Andersson                         email: [email-masked]

-- 

Loa Andersson                         email: [email-masked]

---

From: Loa Andersson <[email-masked]>
Date: Fri, 02 Jan 2009 18:17:55 +0100

All,

I've have updated the flow chart as suggested; more comments are
welcome.

/Loa
--

---

From: David Ward <[email-masked]>
Date: Fri, 2 Jan 2009 11:22:47 -0600

Loa, Malcolm -

One thing we haven't formalized  or discussed is the corresponding  
flow if a contribution is taken to the ITU. I'd like to see that  
flowchart formalized as well. I realize a contribution itself isn't a  
binding doc but, once the work item is taken on by a question, it is  
then official. We've gotten ourselves into a bit of a knot in December  
over various contributions.

Given we are reviewing all things with the ad-hoc group before they  
become WG items, can we have the same of all contributions in the ITU-T?

Here is the essence ... can the ad-hoc block a draft from becoming a  
WG doc? Can the MEAD block a contribution from becoming a question  
work item? My desire would be "Yes" to both.

Thanks

-DWard

On Jan 2, 2009, at 11:09 AM, Loa Andersson wrote:

>> and
>>> ad
>>> the
>>> at